#!/bin/sh
# Function: Removes existing NL1 architect folders in $RSA_HOME
# and replaces them with original backed-up ones.
# Assume we start off in $RSA_HOME/updater/workspace/proxies/eclipse/features/updater.zips.6001

RSA_HOME=$1
LOG_FILE="/tmp/rsa.rup.nl1.rollback.log"
ROLLBAK_DIR="../rup.rsa.configuration.rollback.nl1"

### Main Routine ###
PWD=`pwd`
echo "Starting RSA RUP NL1 rollback in $PWD" > $LOG_FILE

# Test for existence of backup configuration files
if [ -d $ROLLBAK_DIR ]; then
# Check for existence of NL1 configurations and clean them up
  if [ -d $RSA_HOME/RUP\ Configuration/architect.fr ] || 
     [ -d $RSA_HOME/RUP\ Configuration/architect.ja ] || 
     [ -d $RSA_HOME/RUP\ Configuration/architect.ko ] || 
     [ -d $RSA_HOME/RUP\ Configuration/architect.pt_BR ] || 
     [ -d $RSA_HOME/RUP\ Configuration/architect.zh_CN ]; then
    # Remove existing applicaiton folders
    echo "Removing RSA 6.0.0.1 configurations from $RSA_HOME/RUP Configuration/" >> $LOG_FILE
    /bin/rm -rf $RSA_HOME/RUP\ Configuration/architect.*
  fi
# Now we do the file moving
  /bin/mv -f $ROLLBAK_DIR/architect.* $RSA_HOME/RUP\ Configuration/
  echo "Moving back original RSA configurations from $PWD/$ROLLBAK_DIR" >> $LOG_FILE
else
  echo "Error: No original NL1 RSA configurations found during 6.0.0.1 update" >> $LOG_FILE
  echo "Nothing to do!" >> $LOG_FILE
 
fi
